#ifndef FAT_THREADS_H
#define FAT_THREADS_H

/* Kernel includes. */
#include "FreeRTOS.h"
#include "task.h"
#include "disk_io.h"
#include "fat_integer.h"
#include "ff.h"
#include <string.h>
#include <stdlib.h>
#include <cross_studio_io.h>

#define FAT_FILE_PROCESSING_STACK_SIZE ( ( unsigned short ) 2048 )
#define FATFileProcessing_TASK_PRIORITY ( tskIDLE_PRIORITY + 2 )


void FATFileProcessing( void *pvParameters );
void InitFatThreads(void);


#endif